
QGIS Application - Bug report #3456

Difference between vectors is empty if one of the inputs has errors

2011-01-31 10:25 AM - alobo -

Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13516

Description

The polygon [[PolygonAgricultureBefore]] (included as attachment) has a weird structure at the bottom,

probably a digitizing error. Then the difference After - Before is empty.

Not sure if this

is the logical outcome or just an eventuality that had not been considered.

The problem is solved by editing the polygon prior the operation, but perhaps this

error unveils something you want to fix.

History

#1 - 2011-10-27 11:50 AM - Alexander Bruy

- Category changed from Vectors to 44

- Pull Request or Patch supplied set to No

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 12:03 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2013-07-13 11:05 AM - Giovanni Manghi

- Subject changed from Wrong difference between vectors in some cases to Difference between vectors is empty if one of the inputs has errors

- Status info deleted (0)

- Operating System deleted (All)

- Target version changed from Version 2.0.0 to Future Release - Nice to have

- Assignee deleted (cfarmer -)

After the operation runs a clear message is given to the user

Warnings:

GEOS geoprocessing error: One or more input features have invalid geometry.

Some output geometries may be missing or invalid.

I don't think there is much more that can be done (at least with a small/simple effort). Also now there are plenty of geometry/checking options.
What would be the ideal solution, does not allow to run at all any ftools tool if one of the inputs have errors?

#6 - 2015-11-19 08:40 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I think that we can't do anything for this one: as long as you have invalid geometries, the Difference tool will not work (actually perhaps any of Processing

geometric tools will ever work with geometry errors).

Perhaps should we warn the user if invalid geometries have been encountered during processing (in Processing log) specifying what features are invalids ?

In this case, we should rename this bug.

#7 - 2015-12-22 05:20 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#8 - 2016-01-29 08:52 AM - Alexander Bruy

- Status changed from Open to Closed

Closed, as fTools and Processing generate clear message "GEOS geoprocessing error: One or more input features have invalid geometry.

Some output geometries may be missing or invalid."

Reopen if necessary

#9 - 2017-05-01 01:23 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

PolygonAgriculture.zip 3.54 KB 2011-01-31 alobo -
